Subject: bug#58789: julia 1.6.7 Pkg.add fails with curl_multisocket error

From: John Biechele-Speziale <[email-masked]>
Date: Tue, 25 Oct 2022 16:52:57 -0400

After installing GuixSD and julia on the fairly minimal installation,
running julia and entering the following command ’] add DrWatson’
fails with the following error: “ curl_multi_socket_action: 8”.
Oddly enough, some packages work, such as LibCURL, but most fail.

The failure seems to occurs at the “resolving pkg versions” stage.

I’m a bit new to guix and mailing lists in general, so if there’s
anything else I need to provide to help reproduce the bug, please
let me know and I’ll send it ASAP.